@ECHO OFF
ECHO.
ECHO *********************************************
ECHO *** Installing 'Wireless Network Driver'  ***
ECHO *********************************************
ECHO.

SET CD_Drive=undefined > nul
FOR %%i IN (D E F G H I J K L M N O P Q R S T U V W X Y Z) DO IF EXIST "%%i:\tdevconex.exe" SET CD_Drive=%%i:
IF (%CD_Drive%)==(undefined) GOTO CD_ERROR

:ATHEROS
REM *** Atheros WLAN ***
%CD_DRIVE%\TDevconEx.exe /INF:"%CD_DRIVE%\Wireless Network Driver\Atheros\net5211.inf" > nul
IF ERRORLEVEL 2 GOTO INTEL11AB
IF ERRORLEVEL 1 GOTO INTEL11AB
IF ERRORLEVEL 0 GOTO OK

rem :INTEL11AB
REM *** INTEL 802.11B 802.11AB WLAN ***
rem %CD_DRIVE%\TDevconEx.exe /INF:"%CD_DRIVE%\Wireless Network Driver\Intel 802.11b + 802.11ab\w70n51.inf" > nul
rem IF ERRORLEVEL 2 GOTO INTEL11BG
rem IF ERRORLEVEL 1 GOTO INTEL11BG
rem IF ERRORLEVEL 0 GOTO OK

:INTEL11BG
REM *** INTEL 802.11BG WLAN ***
%CD_DRIVE%\TDevconEx.exe /INF:"%CD_DRIVE%\Wireless Network Driver\Intel 802.11bg\w22n51.inf" > nul
IF ERRORLEVEL 2 GOTO CISCO
IF ERRORLEVEL 1 GOTO CISCO
IF ERRORLEVEL 0 GOTO OK

rem :CISCO
REM *** CISCO WLAN ***
rem %CD_DRIVE%\TDevconEx.exe /INF:"%CD_DRIVE%\Wireless Network Driver\Cisco\netA504.inf" > nul
rem IF ERRORLEVEL 2 GOTO AGERE
rem IF ERRORLEVEL 1 GOTO AGERE
rem IF ERRORLEVEL 0 GOTO OK

rem :AGERE
REM *** AGERE WLAN ***
rem %CD_DRIVE%\TDevconEx.exe /INF:"%CD_DRIVE%\Wireless Network Driver\Wlags48b.inf" > nul
rem IF ERRORLEVEL 2 GOTO FAIL
rem IF ERRORLEVEL 1 GOTO FAIL
rem IF ERRORLEVEL 0 GOTO OK


:FAIL
ECHO.
ECHO ***************************
ECHO *** Installation failed ***
ECHO ***************************
ECHO.
GOTO END

:OK
ECHO.
ECHO ******************************************
ECHO *** Installation finished successfully ***
ECHO ******************************************
ECHO.
GOTO END

:CD_ERROR
ECHO.
ECHO ***********************************************
ECHO *** Could not determine CD-ROM drive letter ***
ECHO ***********************************************
ECHO.
GOTO END

:END
pause